

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/proc/vmcore.c   |   24 +++++++++++-------------
 fs/proc/Makefile           |    0 
 fs/proc/kcore.c            |    0 
 fs/proc/proc_misc.c        |    0 
 include/linux/crash_dump.h |    0 
 5 files changed, 11 insertions(+), 13 deletions(-)

diff -puN fs/proc/kcore.c~crashdump-linear-raw-format-dump-file-access-coding-style fs/proc/kcore.c
diff -puN fs/proc/Makefile~crashdump-linear-raw-format-dump-file-access-coding-style fs/proc/Makefile
diff -puN fs/proc/proc_misc.c~crashdump-linear-raw-format-dump-file-access-coding-style fs/proc/proc_misc.c
diff -puN fs/proc/vmcore.c~crashdump-linear-raw-format-dump-file-access-coding-style fs/proc/vmcore.c
--- 25/fs/proc/vmcore.c~crashdump-linear-raw-format-dump-file-access-coding-style	Fri Feb  4 15:16:59 2005
+++ 25-akpm/fs/proc/vmcore.c	Fri Feb  4 15:19:57 2005
@@ -25,7 +25,7 @@
 /* This is to re-use the kcore header creation code */
 static struct kcore_list vmcore_mem;
 
-static int open_vmcore(struct inode * inode, struct file * filp)
+static int open_vmcore(struct inode *inode, struct file *filp)
 {
 	return 0;
 }
@@ -43,8 +43,7 @@ struct file_operations proc_vmcore_opera
 
 struct proc_dir_entry *proc_vmcore;
 
-struct memelfnote
-{
+struct memelfnote {
 	const char *name;
 	int type;
 	unsigned int datasz;
@@ -117,7 +116,7 @@ static void elf_vmcore_store_hdr(char *b
 
 	/* Re-use the kcore code */
 	elf_kcore_store_hdr(bufp, nphdr, dataoff, &vmcore_mem);
-	buf += sizeof(struct elfhdr) + 2*sizeof(struct elf_phdr);
+	buf += sizeof(struct elfhdr) + 2 * sizeof(struct elf_phdr);
 
 	/* set up the process status */
 	notes[0].name = "CORE";
@@ -125,7 +124,7 @@ static void elf_vmcore_store_hdr(char *b
 	notes[0].datasz = sizeof(struct elf_prstatus);
 	notes[0].data = &prstatus;
 
-	memset(&prstatus, 0, sizeof(struct elf_prstatus));
+	memset(&prstatus, 0, sizeof(prstatus));
 
 	/* 1 - Get the registers from the reserved memory area */
 	reg_ppos = BACKUP_END + CRASH_RELOCATE_SIZE;
@@ -137,8 +136,8 @@ static void elf_vmcore_store_hdr(char *b
 /*
  * read from the ELF header and then the crash dump
  */
-static ssize_t read_vmcore(
-struct file *file, char __user *buffer, size_t buflen, loff_t *fpos)
+static ssize_t read_vmcore(struct file *file, char __user *buffer,
+				size_t buflen, loff_t *fpos)
 {
 	ssize_t acc = 0;
 	size_t size, tsz;
@@ -148,9 +147,8 @@ struct file *file, char __user *buffer, 
 
 	tsz =  get_vmcore_size(&nphdr, &elf_buflen);
 	proc_vmcore->size = size = tsz + elf_buflen;
-	if (buflen == 0 || *fpos >= size) {
+	if (buflen == 0 || *fpos >= size)
 		goto done;
-	}
 
 	/* trim buflen to not go beyond EOF */
 	if (buflen > size - *fpos)
@@ -158,7 +156,7 @@ struct file *file, char __user *buffer, 
 
 	/* construct an ELF core header if we'll need some of it */
 	if (*fpos < elf_buflen) {
-		char * elf_buf;
+		char *elf_buf;
 
 		tsz = elf_buflen - *fpos;
 		if (buflen < tsz)
@@ -182,9 +180,8 @@ struct file *file, char __user *buffer, 
 		acc += tsz;
 
 		/* leave now if filled buffer already */
-		if (buflen == 0) {
+		if (buflen == 0)
 			goto done;
-		}
 	}
 
 	start = *fpos - elf_buflen;
@@ -216,8 +213,9 @@ struct file *file, char __user *buffer, 
 			}
 
 			goto read_done;
-		} else if (p < CRASH_RELOCATE_SIZE)
+		} else if (p < CRASH_RELOCATE_SIZE) {
 			p += BACKUP_END;
+		}
 
 		pdup = p;
 		if (read_from_oldmem(buffer, tsz, &pdup, 1)) {
diff -puN include/linux/crash_dump.h~crashdump-linear-raw-format-dump-file-access-coding-style include/linux/crash_dump.h
_
